%bcond_with bootstrap

%global bundle org.apache.felix.utils

Name:           felix-utils
Version:        1.11.8
Release:        %mkrel 3
Group:          Development/Java
Summary:        Utility classes for OSGi
License:        ASL 2.0
URL:            https://felix.apache.org
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/felix/%{bundle}/%{version}/%{bundle}-%{version}-source-release.tar.gz

# The module org.osgi.cmpn requires implementing methods which were not
# implemented in previous versions where org.osgi.compendium was used
Patch0:         0000-Port-to-osgi-cmpn.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)
%endif

%description
Utility classes for OSGi

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p1

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.apache.felix</groupId>"
%pom_remove_plugin :apache-rat-plugin

%mvn_file :%{bundle} "felix/%{bundle}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1.11.8-3.mga9
+ Revision: 1871193
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.11.8-2.mga9
+ Revision: 1870242
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.11.8-1.mga9
+ Revision: 1863483
- New version 1.11.8
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 1.11.6-1.mga9
+ Revision: 1694884
- Update to version 1.11.6

* Fri Sep 04 2020 daviddavid <daviddavid> 1.11.4-1.mga8
+ Revision: 1621552
- Update to version 1.11.4
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 1.11.2-2.mga8
+ Revision: 1536139
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.11.2-1.mga8
+ Revision: 1453336
- Update to version 1.11.2

* Thu Sep 20 2018 umeabot <umeabot> 1.10.4-2.mga7
+ Revision: 1278232
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 1.10.4-1.mga7
+ Revision: 1254611
- new version: 1.10.4 (sync with fc29)

* Wed May 10 2017 neoclust <neoclust> 1.8.2-3.mga6
+ Revision: 1100120
- New version 1.8.2

* Wed Mar 02 2016 neoclust <neoclust> 1.8.0-4.mga6
+ Revision: 982170
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.8.0-3.mga6
+ Revision: 976229
- First rebuild of the java stack
- sync package felix-utils with fedora
- imported package felix-utils

* Sun Dec 28 2014 pterjan <pterjan> 1.2.0-6.mga5
+ Revision: 806785
- Add missing BuildRequires
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 749976
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.2.0-1.mga4
+ Revision: 488881
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 1.1.0-6.mga4
+ Revision: 453000
- Changing target from jsr14 to 1.5 (rhbz #842593)

* Fri Jan 11 2013 umeabot <umeabot> 1.1.0-5.mga3
+ Revision: 350186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.1.0-4.mga3
+ Revision: 293348
- Clean spec file

* Fri Dec 23 2011 gil <gil> 1.1.0-3.mga2
+ Revision: 186543
- used felix-utils-1.1.0-pom.patch
- used felix-utils-1.1.0-pom.patch

* Fri Dec 23 2011 dmorgan <dmorgan> 1.1.0-2.mga2
+ Revision: 186280
- Sync with fedora

* Tue Nov 01 2011 gil <gil> 1.1.0-1.mga2
+ Revision: 160743
- imported package felix-utils


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Michael Simacek <msimacek@redhat.com> - 1.8.0-1
- Update to upstream version 1.8.0

* Tue Jan 27 2015 Michael Simacek <msimacek@redhat.com> - 1.6.0-1
- Update to upstream version 1.6.0

* Tue Jan 27 2015 Mat Booth <mat.booth@redhat.com> - 1.4.0-1
- Update to upstream 1.4.0 release
- Re-enable tests

* Mon Aug  4 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.0-8
- Add build-requires on mockito

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Michal Srb <msrb@redhat.com> - 1.2.0-6
- Update BR

* Mon May 26 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.0-5
- Remove BuildRequires on maven-surefire-provider-junit4

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2.0-4
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 05 2013 Mat Booth <fedora@matbooth.co.uk> - 1.2.0-3
- Update for latest guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 17 2013 Mat Booth <fedora@matbooth.co.uk> - 1.2.0-1
- Update to latest upstream version rhbz #892553.
- Drop patch, use preferred %%pom_* macros instead.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.0-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jan 03 2013 Jaromir Capik <jcapik@redhat.com> - 1.1.0-7
- Changing target from jsr14 to 1.5 (#842593)

* Tue Sep  4 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0-6
- Install NOTICE with javadoc pakcage

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.1.0-3
- osgi.org groupId patch removed (fixed in felix-osgi-* packages)

* Thu Sep 08 2011 Jaromir Capik <jcapik@redhat.com> - 1.1.0-2
- Moved to felix subdir
- Minor spec file changes

* Wed Jul 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.1.0-1
- Initial version
